Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158805 - sepol_genbools_array: unknown boolean use_syslogng
Summary: sepol_genbools_array: unknown boolean use_syslogng
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 21:12 UTC by Peter Ennis
Modified: 2014-01-21 22:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-18 02:13:59 UTC


Attachments (Terms of Use)

Description Peter Ennis 2005-05-25 21:12:04 UTC
Description of problem:

 Updating  : xorg-x11-tools               ##################### [230/458]
  Updating  : selinux-policy-targeted      ##################### [231/458]
sepol_genbools_array:  unknown boolean use_syslogng
/usr/sbin/load_policy:  Warning!  Error while setting booleans:  Invalid argument
/sbin/restorecon reset /boot/lost+found context
->system_u:object_r:lost_found_t/sbin/restorecon reset
/etc/sysconfig/network-scripts/ifcfg-eth0 context
system_u:object_r:etc_t->system_u:object_r:net_conf_t
/sbin/restorecon reset /etc/sysconfig/network-scripts/ifcfg-lo context
system_u:object_r:etc_t->system_u:object_r:net_conf_t
/sbin/restorecon reset /lost+found context ->system_u:object_r:lost_found_t
/sbin/restorecon reset /usr/sbin/firstboot context
system_u:object_r:sbin_t->system_u:object_r:firstboot_exec_t
/sbin/restorecon reset /usr/sbin/hid2hci context
system_u:object_r:sbin_t->system_u:object_r:bluetooth_exec_t
/sbin/restorecon reset /usr/share/firstboot context
system_u:object_r:usr_t->system_u:object_r:firstboot_rw_t
/sbin/restorecon reset /usr/share/firstboot/firstboot.py context
system_u:object_r:usr_t->system_u:object_r:firstboot_exec_t
  Updating  : cpuspeed                     ##################### [232/458]

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeremy Katz 2005-05-25 21:43:42 UTC
This boolean was removed.  The tools may need to handle disappearing booleans
"nicely"

Comment 2 Daniel Walsh 2005-05-26 15:01:52 UTC
sepol_genbools_array:  unknown boolean use_syslogng

Should be changed to 

sepol_genbools_array:  use_syslogng removed from policy
/usr/sbin/load_policy:  Warning while setting booleans

Or something like that.

policycoreutils-1_23_11-2
libsepol-1.5.10-1


Comment 3 Jack Tanner 2005-06-17 21:08:27 UTC
I run yum nightly via cron, so the error output from this bug made its way into
an e-mail to root. The size of the message was 4.5MB. Ouch.


Note You need to log in before you can comment on or make changes to this bug.